package com.project.zcustom.service.unit;

import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.domain.addional.LargeCamera;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.project.common.core.domain.search.PageParamVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

import java.util.List;

/**
 * 摄像头Service接口
 *
 * @author change
 * @date 2024-12-30
 */
public interface ILargeCameraService extends IService<LargeCamera> {

    /**
     * 分页查询摄像头列表
     *
     * @param largeCamera 摄像头
     * @return 摄像头集合
     */
    public IPage<LargeCamera> pagingLargeCameraList(LargeCamera largeCamera);

    /**
     * 分页查询摄像头列表
     *
     * @param lqw
     * @return 摄像头集合
     */
    public IPage<LargeCamera> pagingLargeCameraList(PageParamVo pageParamVo, LambdaQueryWrapper<LargeCamera> lqw);

    /**
     * 查询摄像头列表
     *
     * @param largeCamera 摄像头
     * @return 摄像头集合
     */
    public List<LargeCamera> selectLargeCameraList(LargeCamera largeCamera);

    /**
     * 查询摄像头列表
     *
     * @param largeCamera 摄像头
     * @return 摄像头集合
     */
    public List<LargeCamera> selectLargeCameraList(LargeCamera largeCamera,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 摄像头
     */
    public LargeCamera getLargeCameraByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 摄像头
     */
    public List<LargeCamera> selectLargeCameraListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 摄像头
     */
    public List<LargeCamera> selectLargeCameraListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeleteLargeCamera(LambdaQueryWrapper<LargeCamera> lqw);

    public List<LargeCamera> getCameraList(Long projectId);

    public int getCameraNum();
    public List<LargeCamera> getConnectCameraNumByProject(Long projectId);
    public int getConnectOnlineCameraNum();
}
